Name:           python-arouteserver
Version:        1.23.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A Python tool to automatically build (and test) configurations for BGP route servers.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/pierky/arouteserver
Source:         %{pypi_source arouteserver}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'arouteserver' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-arouteserver
Summary:        %{summary}

%description -n python3-arouteserver %_description


%prep
%autosetup -p1 -n arouteserver-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-arouteserver -f %{pyproject_files}


%changelog
%autochangelog